%global drupalver 7
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
%global module_name ckeditor

Name: drupal%{drupalver}-%{module_name}
Version:  1.9
Release:  1%{?dist}
Summary:  Replace textarea fields with the CKEditor - a visual HTML editor

Group: Applications/Publishing
License: GPLv2+ or LGPLv2+ or MPLv1.1+
URL: http://drupal.org/project/%{module_name}
Source0: http://ftp.drupal.org/files/projects/%{module_name}-%{drupalver}.x-%{version}.tar.gz
Source1: drupal%{drupalver}-module-fedora-README.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{module_name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal%{drupalver}
Requires: ckeditor


%description
This module will allow Drupal to replace textarea fields with the CKEditor -
a visual HTML editor, sometimes called WYSIWYG editor. This HTML text editor
brings many of the powerful WYSIWYG editing functions of known desktop
editors like Word to the web. It's very fast and doesn't require any kind of
installation on the client computer.


%prep
%setup -qn %{module_name}
rm -r ckeditor
# Fix line endings
sed -i -e 's/\r//' CHANGELOG.txt


%build
cp %{SOURCE1} .


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{module_name}
cp -pr * %{buildroot}%{drupaldir}/modules/%{module_name}
#Link in the ckeditor JS app
ln -s ../../../ckeditor %{buildroot}%{drupaldir}/modules/%{module_name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupaldir}/modules/%{module_name}
%exclude %{drupaldir}/modules/%{module_name}/*.txt


%changelog
* Wed Apr 25 2012 Orion Poplawski <orion@cora.nwra.com> - 1.9-1
- Update to 7.x-1.9
- Fix line endings in CHANGELOG.txt

* Wed Mar 14 2012 Orion Poplawski <orion@cora.nwra.com> - 1.7-1
- Update to 7.x-1.7

* Thu Jan 26 2012 Orion Poplawski <orion@cora.nwra.com> - 1.6-1
- Initial drupal 7 package
